import React from 'react';
import { Link } from 'react-router-dom';
import { HOME } from './../../../constants/routes'

export default props => (
    <div className="page not-found">
        <img className="not-found__image" src="http://kiwanismiracleleague.org/wp-content/themes/chillibox/media/images/404.png" alt="404" />
        <hr className="not-found__divider"/>
        <h1 className="not-found__message">Sorry, but looks like nobody lives here...</h1>
        <p><Link className="link--btn link--btn-big not-found__link--home" to={HOME}>Go home</Link></p>
    </div>
)