import * as types from "../../../constants";
import initialState from '../../initialState';

export default function changePassword(state = initialState.changePassword, {type, payload: password, error }) {
    switch (type) {
        case types.PASSWORD_CHANGE_REQUEST: {
            return state
        }
        case types.PASSWORD_CHANGE_REQUEST_SUCCESS: {
            return {
                ...state,
                password
            }
        }
        case types.PASSWORD_CHANGE_REQUEST_FAILURE: {
            return {
                ...state,
                error
            }
        }
        default: {
            return state
        }
    }
}