import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/userFields/changeEmail'
import axios from 'axios';
import { USERS_CHANGE_URL } from '../../../constants/index'

export default function* ({payload}) {
    try {
        console.log("payload inside the saga", payload);
        const payloads = yield call(() =>
            axios.put(`${USERS_CHANGE_URL}${payload.id}`, payload.login)
                .then(({ data }) => data)
        );
        yield put(actions.userChangeRequestSucces(payload));
    }
    catch ({ message }) {
        yield put(actions.userChangeRequestFailure(message))
    }
}