export default function validate(values) {
    const {  password, passwordConfirmation } = values;
    const errors = {};

if (!password) {
    errors.password = "Required"
}
else if (/[,]/.test(password)) {
    errors.password = "Invalid symbol: \",\" is not allowed!";
}
else if (password.length < 8 || password.length > 20) {
    errors.password = "Invalid password length: password should be from 8 to 20 symbols";
}
else if (!/^[a-z0-9_-]{8,20}$/i.test(password)) {
    errors.password = "Invalid password, try another one";
}

if (!passwordConfirmation) {
    errors.passwordConfirmation = "Required";
}
else if (password !== passwordConfirmation) {
    errors.passwordConfirmation = "Passwords don't match each other!";
}
    }